<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="es"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>TxListHistoricalLettersSummaries.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">pzic_financialManagementCompanies</a> &gt; <a href="index.source.html" class="el_package">com.bbva.pzic.listHistoricalLettersSummaries.dao.tx</a> &gt; <span class="el_source">TxListHistoricalLettersSummaries.java</span></div><h1>TxListHistoricalLettersSummaries.java</h1><pre class="source lang-java linenums">package com.bbva.pzic.listHistoricalLettersSummaries.dao.tx;

import com.bbva.jee.arq.spring.core.host.InvocadorTransaccion;
import com.bbva.jee.arq.spring.core.host.MensajeMultiparte;
import com.bbva.pzic.listHistoricalLettersSummaries.business.dto.DTOIntHistoricalLettersSummariesId;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.model.rif4.*;
import com.bbva.pzic.listHistoricalLettersSummaries.dao.tx.mapper.ITxListHistoricalLettersSummariesMapper;
import com.bbva.pzic.listHistoricalLettersSummaries.facade.v0.dto.HistoricalLettersSummaries;
import com.bbva.pzic.routine.commons.utils.host.templates.impl.DoubleOutputFormat;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.function.Supplier;

/*
    Se utiliza los mapIn y mapOut del dao
 */
@Component
public class TxListHistoricalLettersSummaries extends DoubleOutputFormat&lt;DTOIntHistoricalLettersSummariesId, FormatoRIMRF40, List&lt;HistoricalLettersSummaries&gt;, FormatoRIMRF41, FormatoRIMRF42&gt; {
    @Resource(name = &quot;txListHistoricalLettersSummariesMapper&quot;)
    private ITxListHistoricalLettersSummariesMapper mapper;

    @Autowired
    public TxListHistoricalLettersSummaries(@Qualifier(&quot;transaccionRif4&quot;) InvocadorTransaccion&lt;PeticionTransaccionRif4, RespuestaTransaccionRif4&gt; transaccion) {
<span class="nc" id="L29">        super(transaccion,PeticionTransaccionRif4::new, ArrayList::new,FormatoRIMRF41.class,FormatoRIMRF42.class);</span>
<span class="nc" id="L30">    }</span>

    @Override
    protected FormatoRIMRF40 mapInput(DTOIntHistoricalLettersSummariesId dtoIntHistoricalLettersSummariesId) {
<span class="nc" id="L34">        return mapper.mapIn(dtoIntHistoricalLettersSummariesId);</span>
    }

    @Override
    protected List&lt;HistoricalLettersSummaries&gt; mapFirstOutputFormat(FormatoRIMRF41 formatoRIMRF41, DTOIntHistoricalLettersSummariesId dtoIntHistoricalLettersSummariesId, List&lt;HistoricalLettersSummaries&gt; historicalLettersSummaries) {
<span class="nc" id="L39">        return mapper.mapOut1(formatoRIMRF41, historicalLettersSummaries);</span>
    }

    @Override
    protected List&lt;HistoricalLettersSummaries&gt; mapSecondOutputFormat(FormatoRIMRF42 formatoRIMRF42, DTOIntHistoricalLettersSummariesId dtoIntHistoricalLettersSummariesId, List&lt;HistoricalLettersSummaries&gt; historicalLettersSummaries) {
<span class="nc" id="L44">        return mapper.mapOut2(formatoRIMRF42, historicalLettersSummaries);</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>